%global modulename pytest-runner
%global _modulename pytest_runner
%global python3_pkgversion 38
%global __pytest /usr/bin/pytest-3.8

Name:           python38-%{modulename}-epel
Version:        4.0
Release:        2%{?dist}
Summary:        Invoke py.test as distutils command with dependency resolution

License:        MIT
URL:            https://pypi.python.org/pypi/pytest-runner
# setuptools-scm requires a pypi tarball and doesn't like github tarball
Source0:        https://files.pythonhosted.org/packages/source/p/%{modulename}/%{modulename}-%{version}.tar.gz

BuildArch: noarch

%global _description \
Setup scripts can use pytest-runner to add setup.py test support for pytest runner.

%description %{_description}

%package -n python%{python3_pkgversion}-%{modulename}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modulename}}
Requires:       python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
BuildRequires:  python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{modulename} %{_description}

Python 3 version.

%prep
%autosetup -n %{modulename}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest -v --ignore tests/test_ptr.py

%files -n python%{python3_pkgversion}-%{modulename}
%doc README.rst
%license LICENSE
%{python3_sitelib}/ptr.py
%{python3_sitelib}/%{_modulename}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/__pycache__/ptr.*

%changelog
* Thu Jul 21 2022 Maxwell G <gotmax@e.email> - 4.0-2
- Rebuild to fix bug in epel-rpm-macros' Python dependency generator

* Tue Jun 28 2022 Orion Poplawski <orion@nwra.com> - 4.0-1
- Build for EPEL8 Python 3.8
